Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008917 [DCSS] Patches feature N/A 2014-08-31 23:49 2014-10-11 19:49
Reporter infiniplex View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008917: Added castle layout to Elf
Description 2 patches are included:
1. 0001-Improved-LUA-primary_vault_dimensions-function.patch
  -> this patch modifies the primary_vault_dimensions LUA function to work correctly regardless of vault size
  -> Previously, the function only could find primary vaults that overlapped the current vault. This meant it did not work for layouts before calling extend_map.
  -> This patch assumes the first patch from 0008857 has been applied first. (Oops!)

2. 0002-Added-layout_geoelf_castle.patch
  -> This adds a new geoelf layout. It is very long (a bit leass than 1200 lines), so it gets its own file
  -> It also adds a bit more code to the geoelf generator. The new code is for making it combine with other layouts
  -> This patch depends on patch 1 and thus on the first patch from 0008857.

Overview of layout_geoelf_castle:
  -> Only places on Elf:$
  -> Builds a castle around the primary vault with walls, towers, and a moat
  -> Fills the rest of the map with geoelf rooms
  -> The castle is marked as a vault, so it will not be overwritten

My own tests suggest that many of these layouts would look better if the Elf primary vaults were not padded to a square shape with "x"s. Is there a reason for this padding? If not, I will make a patch removing some of it.

Comments and/or suggestions welcome, especially from doy (who requested an Elf castle).
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Improved-LUA-primary_vault_dimensions-function.patch [^] (1,166 bytes) 2014-08-31 23:49 [Show Content]
? file icon 0002-Added-layout_geoelf_castle.patch [^] (58,174 bytes) 2014-08-31 23:49 [Show Content]
png file icon layout_geoelf_castle.png [^] (105,276 bytes) 2014-08-31 23:49
? file icon 0001-layout-geoelf-castle-v2.patch [^] (59,032 bytes) 2014-10-07 22:21 [Show Content]
png file icon layout_geoelf_castle2.png [^] (18,565 bytes) 2014-10-07 22:22

- Relationships

-  Notes
(0027135)
infiniplex (reporter)
2014-08-31 23:52

The image shows 2 instances of the layout with each primary vault (except grunt_elf_hall_spiral, which is too big and thus triggers a veto). I also tested it with a very small dummy Elf:$ vault, and the layout can correctly place rooms on all sides.
(0027139)
infiniplex (reporter)
2014-09-02 05:21
edited on: 2014-10-05 01:53

Changes from IRC (collected so I don't forget):
1. Make the outer hallway 2 wide
2. The weight should not be too high. 1/5 of the time was suggested as a maximum. gammafunk says 15, then 20.
3. It is kind of homogenizing
4. It overwhelms the map
5. Stone walls are dangerous, but should stay provisionally.

(0027453)
infiniplex (reporter)
2014-10-07 22:25
edited on: 2014-10-07 22:27

Here is the revised geoelf castle.

Changes:
1. Outer hallways is now 2 cells wide, turrets are bigger.
2. Weight is now 15 instead of 35.
3. Fixed two whitespace errors.
4. The things in the corners are consistently referred to as turrets instead of sometime turrets and sometimes towers.
5. Fixed a rare bug where the complete castle could appear without any rooms around it.

It still requires the first patch on issue 0008857, unfortunately.

(0027466)
gammafunk (administrator)
2014-10-11 19:49

Pushed in a batch ending with 0.16-a0-1211-ge393dcd, thanks!

- Issue History
Date Modified Username Field Change
2014-08-31 23:49 infiniplex New Issue
2014-08-31 23:49 infiniplex File Added: 0001-Improved-LUA-primary_vault_dimensions-function.patch
2014-08-31 23:49 infiniplex File Added: 0002-Added-layout_geoelf_castle.patch
2014-08-31 23:49 infiniplex File Added: layout_geoelf_castle.png
2014-08-31 23:52 infiniplex Note Added: 0027135
2014-09-02 05:21 infiniplex Note Added: 0027139
2014-09-30 22:41 infiniplex Note Edited: 0027139
2014-10-05 01:36 infiniplex Note Edited: 0027139
2014-10-05 01:53 infiniplex Note Edited: 0027139
2014-10-07 22:21 infiniplex File Added: 0001-layout-geoelf-castle-v2.patch
2014-10-07 22:22 infiniplex File Added: layout_geoelf_castle2.png
2014-10-07 22:25 infiniplex Note Added: 0027453
2014-10-07 22:27 infiniplex Note Edited: 0027453
2014-10-11 19:49 gammafunk Note Added: 0027466
2014-10-11 19:49 gammafunk Status new => resolved
2014-10-11 19:49 gammafunk Fixed in Branch => 0.16 development branch
2014-10-11 19:49 gammafunk Resolution open => done
2014-10-11 19:49 gammafunk Assigned To => gammafunk


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker